Foreman - Bug #27068

Spring 2.1.0 requires Ruby 2.4.0+
06/17/2019 07:31 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Development tools
Target version: 1.21.4
Difficulty: Fixed in Releases: 1.21.4,1.22.1,1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6848
Description

This breaks Debian Stretch/Ubuntu Xenial which use Ruby 2.3.

Associated revisions

Revision 7ad93ced - 06/17/2019 09:57 PM - Ewoud Kohl van Wijngaarden
Fixes #27068 - Pin spring on Ruby < 2.4

History

#1 - 06/17/2019 07:42 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/6848 added

#2 - 06/17/2019 10:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset 7ad93ced3e2d91d0255138e94f3e55a1c818c64c.

#3 - 07/03/2019 05:04 PM - Tomer Brisker
- Target version changed from 1.23.0 to 1.21.4

#4 - 07/04/2019 07:27 AM - Tomer Brisker
- Fixed in Releases 1.21.4, 1.22.1 added

05/23/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7ad93ced3e2d91d0255138e94f3e55a1c818c64c
http://www.tcpdf.org

